Bug 1576462 - [RFE] On Dashboard host always shows in "Out of sync hosts" even client system 'puppet cert' is clean
Summary: [RFE] On Dashboard host always shows in "Out of sync hosts" even client syste...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 14:00 UTC by vijsingh
Modified: 2019-08-12 16:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 16:29:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3438461 0 None None None 2018-06-07 04:07:43 UTC

Description vijsingh 2018-05-09 14:00:37 UTC
1. Proposed title of this feature request

   On Dashboard 'client hosts' always shows/report in "Out of sync hosts" even puppet cert is clean for that and 'puppet agent' is removed from client system.

2. What is the nature and description of the request?

    On Dashboard 'client hosts' always shows in "Out of sync hosts" even puppet cert is clean for that and 'puppet agent' is removed from client system

3. Why does the customer need this? (List the business requirements here)

4. How would the customer like to achieve this? (List the functional requirements here)

   Once certificate is clean/revoke from Satellite end and 'puppet agent' also not running at 'client system' so 'client system' should shows 
   under some other status i.e. "Host with not report" ( If "puppet agent is not reporting more than 2 hours or 1 days ..etc)

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

   Once certificate is clean/revoke from Satellite end and 'puppet agent' also not running at 'client system' so 'client system' should not shows
   under "Out of sync hosts"

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?
  
    No
 
7. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

    No

8. Is the sales team involved in this request and do they have any additional input?

    No

9. List any affected packages or components.

    Satellite GUI(Dashboard) report , Puppet

10. Would the customer be able to assist in testing this functionality if implemented?
   
    Yes

Comment 1 Craig Donnelly 2018-05-11 15:27:10 UTC
This is already taken care of by setting hosts to not be reported.

Give it a try:

Goto Hosts -> All Hosts, choose a host that is not reporting.
Click the 'Additional Information' Tab.

You will have this line:

Enabled <check> Include this host within Satellite reporting

Uncheck this and save, and it should no longer be included in the reports.

Comment 3 Mimmus 2018-05-14 15:36:34 UTC
I'm not able to find "Additional information" tab on the host.

Comment 4 Mimmus 2018-05-14 15:37:35 UTC
Found! Sorry


Note You need to log in before you can comment on or make changes to this bug.